%define oname   rubyntlm

Name:       ruby-%{oname}
Version:    0.1.1
Release:    %mkrel 6
Summary:    Ruby/NTLM library
License:    Ruby
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/rubyntlm
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     rubyntlm-0.1.1-add-sections.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby/NTLM provides message creator and parser for the NTLM authentication.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.1.1-6.mga4
+ Revision: 562483
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.1.1-5.mga4
+ Revision: 539091
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.1.1-4.mga4
+ Revision: 491374
- update filelist
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.1.1-4.mga3
+ Revision: 396431
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-3.mga3
+ Revision: 381425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.1.1-2.mga3
+ Revision: 313893
- add more sections
- rebuild for new ruby

* Sun Apr 17 2011 shikamaru <shikamaru> 0.1.1-1.mga1
+ Revision: 87052
- imported package ruby-rubyntlm


* Sun Apr 17 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.1-1
- Initial package
